## org.apache.lucene.queryParser.surround.query
Class SimpleTerm

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.SimpleTerm

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, DistanceSubQuery

Direct Known Subclasses:
  SrndPrefixQuery, SrndTermQuery, SrndTruncQuery

    public abstract class SimpleTerm

extends SrndQuery
implements DistanceSubQuery, java.lang.Comparable

Nested Class Summary
`static interface` `SimpleTerm.MatchingTermVisitor`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`SimpleTerm(boolean q)`

Method Summary
`void` `addSpanQueries(SpanNearClauseFactory sncf)`
`int` `compareTo(java.lang.Object o)`
`java.lang.String` `distanceSubQueryNotAllowed()` When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
`java.lang.String` `getFieldOperator()`
`java.lang.String` `getQuote()`
`org.apache.lucene.search.Query` `makeLuceneQueryFieldNoBoost(java.lang.String fieldName, BasicQueryFactory qf)`
`protected void` `suffixToString(java.lang.StringBuffer r)`
`java.lang.String` `toString()`
`abstract java.lang.String` `toStringUnquoted()`
`abstract void` `visitMatchingTerms(org.apache.lucene.index.IndexReader reader, java.lang.String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTerm

    public SimpleTerm(boolean q)

Method Detail

### getQuote

    public java.lang.String getQuote()

### getFieldOperator

    public java.lang.String getFieldOperator()

### toStringUnquoted

    public abstract java.lang.String toStringUnquoted()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### suffixToString

    protected void suffixToString(java.lang.StringBuffer r)

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `SrndQuery`

### visitMatchingTerms

    public abstract void visitMatchingTerms(org.apache.lucene.index.IndexReader reader,
                                            java.lang.String fieldName,
                                            SimpleTerm.MatchingTermVisitor mtv)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### distanceSubQueryNotAllowed

    public java.lang.String distanceSubQueryNotAllowed()

  Description copied from interface: `DistanceSubQuery`
  When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
  When distanceSubQueryNotAllowed() returns null addSpanNearQueries() can be used in the creation of the span near clause for the subquery.

  Specified by:
    `distanceSubQueryNotAllowed` in interface `DistanceSubQuery`

### makeLuceneQueryFieldNoBoost

    public org.apache.lucene.search.Query makeLuceneQueryFieldNoBoost(java.lang.String fieldName,
                                                                      BasicQueryFactory qf)

  Specified by:
    `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

### addSpanQueries

    public void addSpanQueries(SpanNearClauseFactory sncf)
                        throws java.io.IOException

  Specified by:
    `addSpanQueries` in interface `DistanceSubQuery`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.